QGLayoutIterator(3qt)

NAME
QGLayoutIterator - Abstract base class of internal layout iterators

SYNOPSIS
#include <qlayout.h>

  Public Members
virtual ~QGLayoutIterator ()
virtual QLayoutItem * next () = 0
virtual QLayoutItem * current () = 0
virtual QLayoutItem * takeCurrent () = 0

DESCRIPTION
The QGLayoutIterator class is an abstract base class of internal layout iterators.

(This class is not OpenGL related, it just happens to start with the letters QGL...)

Subclass this class to create a custom layout. The functions that must be implemented are next(), current(), and takeCurrent().

The QGLayoutIterator implements the functionality of QLayoutIterator. Each subclass of QLayout needs a QGLayoutIterator subclass.

See also Widget Appearance and Style and Layout Management.

MEMBER FUNCTION DOCUMENTATION

QGLayoutIterator::~QGLayoutIterator () [virtual]
Destroys the iterator

QLayoutItem * QGLayoutIterator::current () [pure virtual]
Implemented in subclasses to return the current item, or 0 if there is no current item.

Examples:

QLayoutItem * QGLayoutIterator::next () [pure virtual]
Implemented in subclasses to move the iterator to the next item and return that item, or 0 if there is no next item.

Examples:

QLayoutItem * QGLayoutIterator::takeCurrent () [pure virtual]
Implemented in subclasses to remove the current item from the layout without deleting it, move the iterator to the next item and return the removed item, or 0 if no item was removed.

Examples:

SEE ALSO
http://doc.trolltech.com/qglayoutiterator.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qglayoutiterator.3qt) and the Qt version (3.0.3).